[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# RoundRect

Draws a rectangle with rounded corners to the specified device context.

## Declaration

Source position: winapih.inc line 228

`function RoundRect(`
`DC: HDC;`
`X1: Integer;`
`Y1: Integer;`
`X2: Integer;`
`Y2: Integer;`
`RX: Integer;`
`RY: Integer`
`):Boolean;`

## Arguments

`DC` |  | Device context where the drawing operation is performed.
`X1` |  | Coordinate on the device context for the rectangle.
`Y1` |  | Coordinate on the device context for the rectangle.
`X2` |  | Coordinate on the device context for the rectangle.
`Y2` |  | Coordinate on the device context for the rectangle.
`RX` |  | Length of the corner radius applied to the X-axis.
`RY` |  | Length of the corner radius applied to the Y-axis.

## Function result

Returns True on successful completion of the routine.

## Description

Calls the RoundRect method implemented in the TWidgetSet class.